<h3>Shopping Cart</h3>
<app-list-items
  [displayedButtons]="displayedShoppingCartButtons"
  [inputData$]="shoppingCartitems$"
  (removeFromShoppingCart)="removeFromShoppingCart($event)"
></app-list-items>

<h4>Discounts details:</h4>
<app-bill-details [inputData$]="billDiscountDetails$"></app-bill-details>

<h3>Bill details:</h3>

<p>Total: {{ bill?.total }}</p>
<p>{{ bill?.discount }}</p>
<p>Total with discount: {{ bill?.totalWithDiscount }}</p>

<button
  mat-raised-button
  color="accent"
  *ngIf="!message"
  [disabled]="!bill?.items?.length"
  (click)="completeOrder()"
>
  <mat-icon>done</mat-icon>
  Buy!
</button>
<ng-container *ngIf="message">
  <span class="spacer"></span>
  <span>{{ message }}</span>

  <button mat-button [disabled]="!bill.total" (click)="emptyCart()">
    <mat-icon>restore</mat-icon>
    Empty cart?
  </button>
</ng-container>
